[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBNavClickEvent

Specifies an event handler used to handle click events in a database navigation control.

## Declaration

Source position: dbctrls.pp line 1340

`type TDBNavClickEvent = procedure(`
`Sender: TObject;`
`Button: TDBNavButtonType`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`Button` |  | Navigator button for the click event.

## Description

TDBNavClickEvent is an object procedure type which specifies an event handler signalled for click events in a database navigation control. TDBNavClickEvent is the type used to implement the OnClick and BeforeAction events in TDBCustomNavigator.

Applications must implement and assign an object procedure using the signature for the handler to respond to the event notification.

## See also

TDBCustomNavigator.OnClick |  | The action to be taken when a navigator button is clicked.
TDBCustomNavigator.BeforeAction |  | BeforeAction - code to be executed before an action is performed.